%{!?RPM_GIT_VERSION:%define RPM_GIT_VERSION unknown}
%define debug_package %{nil}

Summary: ADCM - Multichannel digitizer control program
Name: adcm
Version: 1.4.2
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/ADCM
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Release: %{RPM_GIT_VERSION}%{?dist}

BuildRequires: fftw-devel >= 3.2.1

Requires: kmod-pexml >= 1.33
BuildRequires: qt5-qtbase-devel

%description
ADCM is a control program for multichannel digitizer boards (ADCM-16, ADCM-LTC, etc.)
The software is capable of online signal reconstruction: it calculates signal time and amplitude
from raw adc data.

#%package devel
#Summary: ADCM data file structures
#Group: Development/Libraries
#Requires: mlink-devel
#
#%description devel
#Header files describing adcm data file structures

%prep
%setup -q

%build
make all %{?_smp_mflags} GIT_VERSION=1.4.2-2-3-ga76a2bb

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc COPYING README

%changelog

* Wed Oct  2 2019 <Ilja.Slepnev@jinr.ru>
- Version 1.4
- use git in build scripts

* Thu Feb 13 2014  <Filippov Ivan>
- changed build dependency: kmod-pexml

* Tue Mar 22 2011  <Ilja.Slepnev@jinr.ru>
- Version 1.3
- Updated spec: build with Qt 4

* Tue Mar 15 2011  <Ilja.Slepnev@jinr.ru>
- removed build dependency on qwt-qt3-devel, mlink-devel packages
- disabled devel package (see docs on site)
- updated project URL

* Fri Feb  5 2010  <Ilja.Slepnev@jinr.ru>
- Version 1.2.1: support for 2xADCM16-LTC
- bugs fixed

* Thu Dec 11 2008  <Ilja.Slepnev@jinr.ru> - 
- Refactored: run control, code cleanup
- Link down handler

* Tue Nov 18 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.

